### Method

# Camel NetworkSettings dup_auth_mechanism

since: 3.4

#### Declaration [src]

    gchar*
    camel_network_settings_dup_auth_mechanism (
      CamelNetworkSettings* settings
    )

#### Description [src]

Thread-safe variation of camel_network_settings_get_auth_mechanism(). Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.4

#### Return value

Type: `gchar*`

A newly-allocated copy of `CamelNetworkSettings:auth-mechanism`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.